import os
import sys
import glob

import pygame
from pygame.locals import *

from globals import *
import screen

spritesheets = {}

def load_spritesheets():
	list = glob.glob(os.path.join('data', 'sprite*.png'))
	list.sort()
	for f in list:
		spritesheets[f[-7:-4]] = SpriteSheet(f)

class SpriteSheet:
	
	def __init__(self, filename):
		self.surf = pygame.image.load(filename)
		self.h = self.surf.get_height() / screen.TILEY
		self.w = self.surf.get_width() / screen.TILEX
		
	def count_tiles(self):
		return self.h * self.w
	
	def frame(self, size, num):
		return pygame.Rect(((num * size[0]) % self.w * screen.TILEX, (num * size[0]) / self.w * size[1] * screen.TILEX), (screen.TILEX * size[0], screen.TILEY * size[1]))